// Module Author: Biju G.C.  2003.1013
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Alternate License: GPL, LGPL (all time latest at http://www.gnu.org/copyleft/gpl.html ) 
// Homepage: http://quicktools.mozdev.org/

var autocharactercoding_obj = {
  observe :  autocharactercoding_fun
};


autocharactercoding_init();

function autocharactercoding_fun (obj, sMsg, sUrl) { 
  var notforce=true;
  obj || (obj = window._content,  notforce=false)
  if (window._content != obj) return;
  var host =obj.location.hostname;

  var list = autocharactercoding_set;
  var cha=null;
  while(host ){
    if (cha=list[host]) break;
    host=host.replace(/^[^.]*\.?/,'');
  }

 

  if(!cha ) return;

  if(notforce && obj.document.characterSet==cha[0] ) return;
 
  if (notforce && cha[1]) setTimeout(SetForcedCharset, cha[1] * 1000,cha[0]); 
  else SetForcedCharset(cha[0]);
}


function autocharactercoding_init(){
  var oService = Components
    .classes["@mozilla.org/observer-service;1"]
    .getService()
    .QueryInterface(Components.interfaces.nsIObserverService)
  
  oService.addObserver( autocharactercoding_obj, "EndDocumentLoad", false);
  //oService.addObserver( autocharactercoding_obj, "StartDocumentLoad", false);
  oService.addObserver( autocharactercoding_obj, "FailDocumentLoad", false);
 // oService.addObserver( autocharactercoding_obj, "ProgressEvent", false);
}
